services:
    tvn7.mail_handler.generator:
        class: TVn7\MailBundle\Services\Generator
        arguments: ["@doctrine.orm.entity_manager", "@event_dispatcher", "%tvn7_mail.config%"]

    tvn7.mail_handler.parser:
        class: TVn7\MailBundle\Services\Parser
        arguments: ["@doctrine.orm.entity_manager", "@logger", "%tvn7_mail.config%", "@event_dispatcher"]
        tags:
             - { name: monolog.logger, channel: mail_handler }
